Loading...
Searching...
No Matches
xua_asp_fsm.h File Reference

Go to the source code of this file.

## Enumerations

enum | xua_asp_state { XUA_ASP_S_DOWN , XUA_ASP_S_INACTIVE , XUA_ASP_S_ACTIVE }

enum

xua_asp_event {
XUA_ASP_E_M_ASP_UP_REQ , XUA_ASP_E_M_ASP_ACTIVE_REQ , XUA_ASP_E_M_ASP_DOWN_REQ , XUA_ASP_E_M_ASP_INACTIVE_REQ ,
XUA_ASP_E_SCTP_COMM_DOWN_IND , XUA_ASP_E_SCTP_RESTART_IND , XUA_ASP_E_SCTP_EST_IND , XUA_ASP_E_ASPSM_ASPUP ,
XUA_ASP_E_ASPSM_ASPUP_ACK , XUA_ASP_E_ASPTM_ASPAC , XUA_ASP_E_ASPTM_ASPAC_ACK , XUA_ASP_E_ASPSM_ASPDN ,
XUA_ASP_E_ASPSM_ASPDN_ACK , XUA_ASP_E_ASPTM_ASPIA , XUA_ASP_E_ASPTM_ASPIA_ACK , XUA_ASP_E_ASPSM_BEAT ,
XUA_ASP_E_ASPSM_BEAT_ACK , IPA_ASP_E_ID_RESP , IPA_ASP_E_ID_ACK , IPA_ASP_E_ID_GET ,
_NUM_XUA_ASP_E
}

## Functions

struct osmo_fsm_inst * | xua_asp_fsm_start (struct osmo_ss7_asp *asp, enum osmo_ss7_asp_role role, int log_level)
| Start a new ASP finite stae machine for given ASP.

## Variables

struct osmo_fsm | xua_asp_fsm
struct osmo_fsm | ipa_asp_fsm

## Enumeration Type Documentation

## xua_asp_event

enum xua_asp_event

Enumerator
XUA_ASP_E_M_ASP_UP_REQ |
XUA_ASP_E_M_ASP_ACTIVE_REQ |
XUA_ASP_E_M_ASP_DOWN_REQ |
XUA_ASP_E_M_ASP_INACTIVE_REQ |
XUA_ASP_E_SCTP_COMM_DOWN_IND |
XUA_ASP_E_SCTP_RESTART_IND |
XUA_ASP_E_SCTP_EST_IND |
XUA_ASP_E_ASPSM_ASPUP |
XUA_ASP_E_ASPSM_ASPUP_ACK |
XUA_ASP_E_ASPTM_ASPAC |
XUA_ASP_E_ASPTM_ASPAC_ACK |
XUA_ASP_E_ASPSM_ASPDN |
XUA_ASP_E_ASPSM_ASPDN_ACK |
XUA_ASP_E_ASPTM_ASPIA |
XUA_ASP_E_ASPTM_ASPIA_ACK |
XUA_ASP_E_ASPSM_BEAT |
XUA_ASP_E_ASPSM_BEAT_ACK |
IPA_ASP_E_ID_RESP |
IPA_ASP_E_ID_ACK |
IPA_ASP_E_ID_GET |
_NUM_XUA_ASP_E |

## xua_asp_state

enum xua_asp_state

Enumerator
XUA_ASP_S_DOWN |
XUA_ASP_S_INACTIVE |
XUA_ASP_S_ACTIVE |

## Function Documentation

## xua_asp_fsm_start()

struct osmo_fsm_inst * xua_asp_fsm_start | ( | struct osmo_ss7_asp * | asp,
|  | enum osmo_ss7_asp_role | role,
|  | int | log_level
| ) |  |

Start a new ASP finite stae machine for given ASP.

Parameters

  [in] | asp | Application Server Process for which to start FSM
  [in] | role | Role (ASP, SG, IPSP) of this FSM
  [in] | log_level | Logging Level for ASP FSM logging

Returns
  FSM instance on success; NULL on error

References xua_asp_fsm_priv::asp, osmo_ss7_asp::cfg, ipa_asp_fsm_start(), osmo_ss7_asp::name, OSMO_SS7_ASP_PROT_IPA, osmo_ss7_asp::proto, xua_asp_fsm_priv::role, xua_asp_fsm_priv::timer, and xua_asp_fsm.

Referenced by osmo_ss7_asp_restart().

## Variable Documentation

## ipa_asp_fsm

struct osmo_fsm ipa_asp_fsm

extern

Referenced by ipa_asp_fsm_start(), and osmo_ss7_init().

## xua_asp_fsm

struct osmo_fsm xua_asp_fsm

extern

Referenced by osmo_ss7_init(), and xua_asp_fsm_start().